<div>
    <h2 id="page-heading">
        <span jhiTranslate="locadoraApp.filme.home.title">Filmes</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-filme" [routerLink]="['/filme/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="locadoraApp.filme.home.createLabel">
            Create new Filme
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="filmes">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="titulo"><span jhiTranslate="locadoraApp.filme.titulo">Titulo</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="categoria"><span jhiTranslate="locadoraApp.filme.categoria">Categoria</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="diretorNome"><span jhiTranslate="locadoraApp.filme.diretor">Diretor</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let filme of filmes ;trackBy: trackId">
                <td><a [routerLink]="['/filme', filme.id, 'view' ]">{{filme.id}}</a></td>
                <td>{{filme.titulo}}</td>
                <td jhiTranslate="{{'locadoraApp.Categoria.' + filme.categoria}}">{{filme.categoria}}</td>
                <td>
                    <div *ngIf="filme.diretorId">
                        <a [routerLink]="['../diretor', filme.diretorId , 'view' ]" >{{filme.diretorNome}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/filme', filme.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/filme', filme.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'filme', { outlets: { popup: filme.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <!-- Pager is not implemented yet, so this is normal pagination instead -->
    <div *ngIf="filmes && filmes.length">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
